"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const esbuildService_1 = require("../esbuildService");
const utils_1 = require("../utils");
exports.esbuildPlugin = ({ app, jsxConfig }) => {
    app.use(async (ctx, next) => {
        await next();
        if (ctx.body && esbuildService_1.tjsxRE.test(ctx.path)) {
            ctx.type = 'js';
            const src = await utils_1.readBody(ctx.body);
            const { code, map } = await esbuildService_1.transform(src, ctx.path, jsxConfig);
            let res = code;
            if (map) {
                res += utils_1.genSourceMapString(map);
            }
            ctx.body = res;
        }
    });
};
