import { Context } from 'koa';
import { InternalResolver } from '../resolver';
export declare const queryRE: RegExp;
export declare const hashRE: RegExp;
export declare const cleanUrl: (url: string) => string;
export declare const resolveRelativeRequest: (importer: string, id: string) => {
    url: string;
    pathname: string;
    query: string;
};
export declare const isExternalUrl: (url: string) => boolean;
/**
 * Check if a file is a static asset that vite can process.
 */
export declare const isStaticAsset: (file: string) => boolean;
/**
 * Check if a request is an import from js (instead of fetch() or ajax requests)
 * A request qualifies as long as it's from one of the supported js source file
 * formats (vue,js,ts,jsx,tsx)
 */
export declare const isImportRequest: (ctx: Context) => boolean;
export declare const resolveImport: (importer: string, id: string, resolver: InternalResolver, timestamp?: string | undefined) => string;
